/*
** (c) 1996-2000 The Regents of the University of California (through
** E.O. Lawrence Berkeley National Laboratory), subject to approval by
** the U.S. Department of Energy.  Your use of this software is under
** license -- the license agreement is attached and included in the
** directory as license.txt or you may contact Berkeley Lab's Technology
** Transfer Department at TTD@lbl.gov.  NOTICE OF U.S. GOVERNMENT RIGHTS.
** The Software was developed under funding from the U.S. Government
** which consequently retains certain rights as follows: the
** U.S. Government has been granted for itself and others acting on its
** behalf a paid-up, nonexclusive, irrevocable, worldwide license in the
** Software to reproduce, prepare derivative works, and perform publicly
** and display publicly.  Beginning five (5) years after the date
** permission to assert copyright is obtained from the U.S. Department of
** Energy, and subject to any subsequent five (5) year renewals, the
** U.S. Government is granted for itself and others acting on its behalf
** a paid-up, nonexclusive, irrevocable, worldwide license in the
** Software to reproduce, prepare derivative works, distribute copies to
** the public, perform publicly and display publicly, and to permit
** others to do so.
*/

#include "REAL.H"
#include "ArrayLim.H"

#define SDIM 3

      subroutine WRITEVEL(u,DIMS(u),lo,hi,psize)
      implicit none
      integer DIMDEC(u)
      integer lo(SDIM), hi(SDIM)
      REAL_T  u(DIMV(u),SDIM)
      REAL_T  psize(SDIM)
      integer i,j,k,n

      open(3,file='Turb',form='formatted') 
      rewind 3
      write(3,*)hi(1)-lo(1)+1,hi(2)-lo(2)+1,hi(3)-lo(3)+1
      write(3,*)psize(1),psize(2),psize(3)
      write(3,*)1,1,1
      do n = 1,SDIM
      do k = lo(3),hi(3)
      do j = lo(2),hi(2)
      do i = lo(1),hi(1)
         write(3,*)u(i,j,k,n)
      enddo
      enddo
      enddo
      enddo

      close(3)
      end
